#ifndef lint
static char yysccsid[] = "@(#)yaccpar     1.7 (Berkeley) 09/09/90";
#endif
#define YYBYACC 1
#line 4 "skLang.y"
#include "skParseNode.h"
#include "skosfcn.h"


extern skMethodDefNode * g_TopNode;
extern skParseNodeList g_TempNodes;
#define SAVE(t) g_TempNodes.append(t);
/*#define _DEBUGPARSER*/
#ifdef _DEBUGPARSER
#include <stdio.h>
#define DB(t) printf("%s\n",t);
#define DBN(t,n) printf("%s - %s\n",t,(const char *)n);
#else
#define DB(t) 
#define DBN(t,n) 
#endif
#line 21 "skLang.y"
typedef union{
  char		character; 
  int		integer; 
  float		floating;
  skStatListNode * statListNode;
  skStatNode * statNode;
  skExprListNode * exprListNode;
  skExprNode * exprNode;
  skCaseListNode * caseListNode;
  skCaseNode * caseNode;
  skIdListNode * idListNode;
  skString * string;
  skMethodDefNode * methodDef;
} YYSTYPE;
#line 38 "skLang_tab.c"
#define L_CHARACTER 257
#define L_INTEGER 258
#define L_FLOAT 259
#define L_ID 260
#define L_STRING 261
#define L_RETURN 262
#define L_OR 263
#define L_AND 264
#define L_NOT 265
#define L_IF 266
#define L_ELSE 267
#define L_WHILE 268
#define L_GT 269
#define L_LT 270
#define L_SWITCH 271
#define L_DEFAULT 272
#define L_CASE 273
#define UNARY 274
#define YYERRCODE 256
short yylhs[] = {                                        -1,
    0,    0,    0,    2,    2,    3,    3,    7,    7,    8,
    8,   10,   10,   11,   11,    9,    5,    5,    5,    5,
    5,    5,    5,    5,    5,    5,    1,    1,    4,    6,
    6,    6,    6,    6,    6,    6,    6,    6,    6,    6,
    6,    6,    6,    6,    6,    6,    6,    6,    6,    6,
};
short yylen[] = {                                         2,
    1,    3,    4,    1,    3,    1,    2,    0,    1,    1,
    3,    0,    1,    1,    2,    3,    5,    7,    5,    7,
    9,    3,    4,    6,    5,    1,    1,    3,    3,    1,
    3,    1,    1,    1,    1,    2,    3,    3,    3,    3,
    3,    3,    3,    3,    3,    3,    2,    3,    3,    4,
};
short yydefred[] = {                                      0,
   27,    0,    0,    0,    0,    0,   26,    0,    0,    0,
    6,   33,   34,   35,   32,    0,    0,    0,    0,    0,
    0,    0,    0,    4,    0,    0,    0,    0,    0,    0,
    7,   36,   47,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   22,    0,    0,
    0,    0,    2,    0,    0,   28,    0,    0,    0,    0,
    9,   49,   31,    0,    0,    0,    0,    0,   43,   39,
   48,   42,   44,   45,   46,    0,    0,    0,    0,    3,
    5,   23,    0,    0,    0,   50,    0,   19,    0,   29,
    0,   25,    0,    0,    0,   14,    0,   13,   24,   18,
    0,    0,   20,   15,   16,    0,   21,
};
short yydgoto[] = {                                       8,
   19,   26,   10,   53,   11,   59,   60,   61,   96,   97,
   98,
};
short yysindex[] = {                                     75,
    0,  118,  -25,  -23,   27,  -38,    0,    0,  126,  -55,
    0,    0,    0,    0,    0,  118,  118,  118,   83,  -24,
  118,  118,  118,    0, -107,  -10, -235,  118, -221,  118,
    0,    0,    0,    7, -213,  118,  118,  118,  118,  118,
  118,  118,  118,  118,  118,  118,  118,    0,   16,   29,
   38,  -55,    0, -107, -204,    0,   49,    8,  -15,   -8,
    0,    0,    0,   -3,  122,  122,  122,  122,    0,    0,
    0,    0,    0,    0,    0, -107, -107,  -45,   43,    0,
    0,    0,  118,   23,  118,    0, -180,    0, -184,    0,
   58,    0,  -15, -107,  118,    0, -120,    0,    0,    0,
   69, -107,    0,    0,    0,  -18,    0,
};
short yyrindex[] = {                                      0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  109,
    0,    0,    0,    0,    0,    0,    0,    0,  -35,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   -1,
    0,    0,    0,    0,    0,   -1,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   21,    0,
    0,    0,    0,    0,   81,   91,   95,  103,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    1,    0, -111,    0,
    0,    0,   77,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,
};
short yygindex[] = {                                      0,
   45,    0,   61,   79,   19,  368,   84,    0,   30,    0,
    0,
};
#define YYTABLESIZE 463
short yytable[] = {                                      30,
   17,   30,   25,    7,  103,   30,   30,   30,   30,   30,
   43,   30,   47,   12,   21,   52,   22,   46,   41,   43,
   42,   47,   45,   30,   56,   30,   46,   41,   31,   42,
   54,   45,   84,   55,   48,   85,   44,   86,   58,    8,
   85,   43,    8,   47,    9,   44,   63,   62,   46,   41,
   43,   42,   47,   45,    9,   81,   76,   46,   41,   17,
   42,   10,   45,   43,   10,   47,   23,   44,   83,   77,
   46,   41,   43,   42,   47,   45,   44,   89,   78,   46,
   41,   92,   42,   43,   45,   47,   94,   30,   95,   44,
   46,   41,   43,   42,   47,   45,    9,   31,   44,   46,
   41,    7,   42,   43,   45,   47,  107,   82,    1,   44,
   46,   41,   79,   42,    6,   45,   99,   11,   44,   64,
   11,   38,   36,    9,   38,   17,  104,    0,   27,   44,
    0,   37,   80,    7,   37,   41,    0,    0,   41,   38,
   35,    0,    0,   40,    0,    0,   40,    0,    0,   37,
    0,  102,   95,   41,   87,   88,   43,   18,   47,    0,
   12,   40,   17,   46,   41,   30,   42,   90,   45,    0,
    0,   27,  100,    0,    0,    0,    0,    0,    0,  105,
  106,    0,   44,   29,    0,    0,   28,    0,    0,    0,
    0,   52,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   38,    1,    0,    2,    0,    0,    0,
    3,    0,    4,   37,    0,    5,    0,   41,    0,    0,
    0,   24,    0,    0,    0,   40,    0,   30,   30,    0,
    0,    0,    0,   30,   30,    0,    0,    0,   37,   38,
    0,    0,    0,    0,   39,   40,    0,   37,   38,    0,
    0,    0,    0,   39,   40,    0,    0,    0,    0,    0,
   17,    0,   17,    0,    0,    0,   17,    0,   17,   37,
   38,   17,    0,    0,    0,   39,   40,    0,   37,   38,
    0,    0,    0,    0,   39,   40,    0,    0,    0,    0,
    0,   37,   38,    0,    0,    0,    0,   39,   40,    0,
   37,   38,    1,    0,    2,    0,   39,   40,    3,    0,
    4,   37,   38,    5,    0,    0,    0,   39,   40,    0,
   37,   38,    0,    0,    0,    0,   39,   40,    0,    0,
    0,   37,   38,    0,    1,    0,    2,   39,   40,    0,
    3,    0,    4,   38,   38,    5,    0,    0,    0,   38,
   38,    0,    0,   37,   37,    0,    0,   41,   41,   37,
   37,    0,    0,   41,   41,   40,   40,    0,    0,   20,
    0,   40,   40,    0,   12,   13,   14,    1,   15,    0,
    0,    0,   16,   32,   33,   34,    0,    0,   49,   50,
   51,    0,    0,    0,    0,   57,    0,    0,    0,    0,
    0,    0,    0,    0,   65,   66,   67,   68,   69,   70,
   71,   72,   73,   74,   75,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   91,    0,   93,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  101,
};
short yycheck[] = {                                      35,
    0,   37,   41,   59,  125,   41,   42,   43,   44,   45,
   35,   47,   37,  125,   40,  123,   40,   42,   43,   35,
   45,   37,   47,   59,  260,   61,   42,   43,   10,   45,
   41,   47,   41,   44,   59,   44,   61,   41,  260,   41,
   44,   35,   44,   37,    0,   61,  260,   41,   42,   43,
   35,   45,   37,   47,   10,  260,   41,   42,   43,   59,
   45,   41,   47,   35,   44,   37,   40,   61,   61,   41,
   42,   43,   35,   45,   37,   47,   61,  123,   41,   42,
   43,   59,   45,   35,   47,   37,  267,  123,  273,   61,
   42,   43,   35,   45,   37,   47,   52,   79,   61,   42,
   43,   59,   45,   35,   47,   37,  125,   59,    0,   61,
   42,   43,   52,   45,   40,   47,   59,   41,   61,   36,
   44,   41,   40,   79,   44,  125,   97,   -1,   46,   61,
   -1,   41,   54,   59,   44,   41,   -1,   -1,   44,   59,
   58,   -1,   -1,   41,   -1,   -1,   44,   -1,   -1,   59,
   -1,  272,  273,   59,   76,   77,   35,   40,   37,   -1,
  272,   59,   45,   42,   43,   40,   45,  125,   47,   -1,
   -1,   46,   94,   -1,   -1,   -1,   -1,   -1,   -1,  101,
  102,   -1,   61,   58,   -1,   -1,   61,   -1,   -1,   -1,
   -1,  123,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  123,  260,   -1,  262,   -1,   -1,   -1,
  266,   -1,  268,  123,   -1,  271,   -1,  123,   -1,   -1,
   -1,  260,   -1,   -1,   -1,  123,   -1,  263,  264,   -1,
   -1,   -1,   -1,  269,  270,   -1,   -1,   -1,  263,  264,
   -1,   -1,   -1,   -1,  269,  270,   -1,  263,  264,   -1,
   -1,   -1,   -1,  269,  270,   -1,   -1,   -1,   -1,   -1,
  260,   -1,  262,   -1,   -1,   -1,  266,   -1,  268,  263,
  264,  271,   -1,   -1,   -1,  269,  270,   -1,  263,  264,
   -1,   -1,   -1,   -1,  269,  270,   -1,   -1,   -1,   -1,
   -1,  263,  264,   -1,   -1,   -1,   -1,  269,  270,   -1,
  263,  264,  260,   -1,  262,   -1,  269,  270,  266,   -1,
  268,  263,  264,  271,   -1,   -1,   -1,  269,  270,   -1,
  263,  264,   -1,   -1,   -1,   -1,  269,  270,   -1,   -1,
   -1,  263,  264,   -1,  260,   -1,  262,  269,  270,   -1,
  266,   -1,  268,  263,  264,  271,   -1,   -1,   -1,  269,
  270,   -1,   -1,  263,  264,   -1,   -1,  263,  264,  269,
  270,   -1,   -1,  269,  270,  263,  264,   -1,   -1,    2,
   -1,  269,  270,   -1,  257,  258,  259,  260,  261,   -1,
   -1,   -1,  265,   16,   17,   18,   -1,   -1,   21,   22,
   23,   -1,   -1,   -1,   -1,   28,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   37,   38,   39,   40,   41,   42,
   43,   44,   45,   46,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   83,   -1,   85,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   95,
};
#define YYFINAL 8
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 274
#if YYDEBUG
char *yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,"'#'",0,"'%'",0,0,"'('","')'","'*'","'+'","','","'-'","'.'","'/'",0,0,0,0,0,0,
0,0,0,0,"':'","';'",0,"'='",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"'{'",0,
"'}'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,"L_CHARACTER","L_INTEGER","L_FLOAT","L_ID",
"L_STRING","L_RETURN","L_OR","L_AND","L_NOT","L_IF","L_ELSE","L_WHILE","L_GT",
"L_LT","L_SWITCH","L_DEFAULT","L_CASE","UNARY",
};
char *yyrule[] = {
"$accept : method_defn",
"method_defn : stat_list",
"method_defn : '(' ')' compound_stat",
"method_defn : '(' param_list ')' compound_stat",
"param_list : L_ID",
"param_list : param_list ',' L_ID",
"stat_list : stat",
"stat_list : stat_list stat",
"expr_list :",
"expr_list : nonnull_expr_list",
"nonnull_expr_list : expr",
"nonnull_expr_list : expr_list ',' expr",
"case_list :",
"case_list : nonnull_case_list",
"nonnull_case_list : case_stat",
"nonnull_case_list : case_list case_stat",
"case_stat : L_CASE expr compound_stat",
"stat : L_IF '(' expr ')' compound_stat",
"stat : L_IF '(' expr ')' compound_stat L_ELSE compound_stat",
"stat : L_WHILE '(' expr ')' compound_stat",
"stat : L_SWITCH '(' expr ')' '{' case_list '}'",
"stat : L_SWITCH '(' expr ')' '{' case_list L_DEFAULT compound_stat '}'",
"stat : L_RETURN expr ';'",
"stat : id_list '=' expr ';'",
"stat : id_list ':' L_ID '=' expr ';'",
"stat : id_list '(' expr_list ')' ';'",
"stat : ';'",
"id_list : L_ID",
"id_list : id_list '.' L_ID",
"compound_stat : '{' stat_list '}'",
"expr : id_list",
"expr : id_list ':' L_ID",
"expr : L_STRING",
"expr : L_CHARACTER",
"expr : L_INTEGER",
"expr : L_FLOAT",
"expr : L_NOT expr",
"expr : expr L_AND expr",
"expr : expr L_OR expr",
"expr : expr '-' expr",
"expr : expr L_LT expr",
"expr : expr L_GT expr",
"expr : expr '=' expr",
"expr : expr '+' expr",
"expr : expr '/' expr",
"expr : expr '*' expr",
"expr : expr '%' expr",
"expr : '-' expr",
"expr : expr '#' expr",
"expr : '(' expr ')'",
"expr : id_list '(' expr_list ')'",
};
#endif
#define yyclearin (yychar=(-1))
#define yyerrok (yyerrflag=0)
#ifdef YYSTACKSIZE
#ifndef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#endif
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 600
#define YYMAXDEPTH 600
#endif
#endif
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short yyss[YYSTACKSIZE];
YYSTYPE yyvs[YYSTACKSIZE];
#define yystacksize YYSTACKSIZE
#define YYABORT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab
int
yyparse()
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register char *yys;
    extern char *getenv();

    if (yys = getenv("YYDEBUG"))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if (yyn = yydefred[yystate]) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("yydebug: state %d, reading %d (%s)\n", yystate,
                    yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("yydebug: state %d, shifting to state %d\n",
                    yystate, yytable[yyn]);
#endif
        if (yyssp >= yyss + yystacksize - 1)
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#ifdef lint
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#ifdef lint
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("yydebug: state %d, error recovery shifting\
 to state %d\n", *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yyss + yystacksize - 1)
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("yydebug: error recovery discarding state %d\n",
                            *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("yydebug: state %d, error recovery discards token %d (%s)\n",
                    yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("yydebug: state %d, reducing by rule %d (%s)\n",
                yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 1:
#line 54 "skLang.y"
{ yyval.methodDef=new skMethodDefNode(yyvsp[0].statListNode); SAVE(yyval.methodDef); g_TopNode=yyval.methodDef; }
break;
case 2:
#line 55 "skLang.y"
{yyval.methodDef=new skMethodDefNode(0,yyvsp[0].statListNode); SAVE(yyval.methodDef); g_TopNode=yyval.methodDef; }
break;
case 3:
#line 56 "skLang.y"
{yyval.methodDef=new skMethodDefNode(yyvsp[-2].idListNode,yyvsp[0].statListNode); SAVE(yyval.methodDef); g_TopNode=yyval.methodDef; }
break;
case 4:
#line 59 "skLang.y"
{ yyval.idListNode=new skIdListNode(); yyval.idListNode->addId(*yyvsp[0].string); delete yyvsp[0].string; SAVE(yyval.idListNode); }
break;
case 5:
#line 60 "skLang.y"
{ yyvsp[-2].idListNode->addId(*yyvsp[0].string); delete yyvsp[0].string; yyval.idListNode=yyvsp[-2].idListNode; }
break;
case 6:
#line 62 "skLang.y"
{	yyval.statListNode=new skStatListNode(); yyval.statListNode->addStat(yyvsp[0].statNode); SAVE(yyval.statListNode);  }
break;
case 7:
#line 63 "skLang.y"
{	yyvsp[-1].statListNode->addStat(yyvsp[0].statNode); yyval.statListNode=yyvsp[-1].statListNode; }
break;
case 8:
#line 65 "skLang.y"
{ yyval.exprListNode=new skExprListNode(); SAVE(yyval.exprListNode); }
break;
case 9:
#line 66 "skLang.y"
{ yyval.exprListNode=yyvsp[0].exprListNode; }
break;
case 10:
#line 68 "skLang.y"
{ yyval.exprListNode=new skExprListNode();yyval.exprListNode->addExpr(yyvsp[0].exprNode);SAVE(yyval.exprListNode);}
break;
case 11:
#line 69 "skLang.y"
{ yyvsp[-2].exprListNode->addExpr(yyvsp[0].exprNode);yyval.exprListNode=yyvsp[-2].exprListNode; }
break;
case 12:
#line 71 "skLang.y"
{ yyval.caseListNode=new skCaseListNode(); SAVE(yyval.caseListNode); }
break;
case 13:
#line 72 "skLang.y"
{ yyval.caseListNode=yyvsp[0].caseListNode; }
break;
case 14:
#line 74 "skLang.y"
{ yyval.caseListNode=new skCaseListNode();yyval.caseListNode->addCase(yyvsp[0].caseNode);SAVE(yyval.caseListNode);}
break;
case 15:
#line 75 "skLang.y"
{ yyvsp[-1].caseListNode->addCase(yyvsp[0].caseNode);yyval.caseListNode=yyvsp[-1].caseListNode; }
break;
case 16:
#line 77 "skLang.y"
{ yyval.caseNode=new skCaseNode(yyvsp[-1].exprNode,yyvsp[0].statListNode); SAVE(yyval.caseNode); }
break;
case 17:
#line 79 "skLang.y"
{ 	DB("IF");yyval.statNode=new skIfNode(yyvsp[-2].exprNode,yyvsp[0].statListNode,0); SAVE(yyval.statNode)}
break;
case 18:
#line 81 "skLang.y"
{ 	DB("IFELSE");yyval.statNode=new skIfNode(yyvsp[-4].exprNode,yyvsp[-2].statListNode,yyvsp[0].statListNode); SAVE(yyval.statNode)}
break;
case 19:
#line 83 "skLang.y"
{ 	DB("WHILE");yyval.statNode=new skWhileNode(yyvsp[-2].exprNode,yyvsp[0].statListNode); SAVE(yyval.statNode)}
break;
case 20:
#line 85 "skLang.y"
{ 	DB("SWITCH");yyval.statNode=new skSwitchNode(yyvsp[-4].exprNode,yyvsp[-1].caseListNode,0); SAVE(yyval.statNode)}
break;
case 21:
#line 87 "skLang.y"
{ 	DB("SWITCH");yyval.statNode=new skSwitchNode(yyvsp[-6].exprNode,yyvsp[-3].caseListNode,yyvsp[-1].statListNode); SAVE(yyval.statNode)}
break;
case 22:
#line 88 "skLang.y"
{   DBN("RETURN",*yyvsp[-2].string);yyval.statNode=new skReturnNode(yyvsp[-1].exprNode); SAVE(yyval.statNode)}
break;
case 23:
#line 90 "skLang.y"
{   DB("ASSIGN");yyval.statNode=new skAssignNode(yyvsp[-3].idListNode,0,yyvsp[-1].exprNode); SAVE(yyval.statNode)}
break;
case 24:
#line 91 "skLang.y"
{ DB("ASSIGN");yyval.statNode=new skAssignNode(yyvsp[-5].idListNode,yyvsp[-3].string,yyvsp[-1].exprNode); SAVE(yyval.statNode); }
break;
case 25:
#line 92 "skLang.y"
{ DB("METHODCALL");yyval.statNode=new skMethodStatNode(yyvsp[-4].idListNode,yyvsp[-2].exprListNode);SAVE(yyval.statNode); }
break;
case 26:
#line 94 "skLang.y"
{	DB("NULL");yyval.statNode=new skStatNode();SAVE(yyval.statNode)}
break;
case 27:
#line 96 "skLang.y"
{ yyval.idListNode=new skIdListNode(); yyval.idListNode->addId(*yyvsp[0].string); delete yyvsp[0].string; SAVE(yyval.idListNode); }
break;
case 28:
#line 97 "skLang.y"
{ yyvsp[-2].idListNode->addId(*yyvsp[0].string); delete yyvsp[0].string; yyval.idListNode=yyvsp[-2].idListNode; }
break;
case 29:
#line 99 "skLang.y"
{	DB("STATLIST");yyval.statListNode=yyvsp[-1].statListNode; }
break;
case 30:
#line 103 "skLang.y"
{   DB("ID_EXPR");yyval.exprNode=yyvsp[0].idListNode; }
break;
case 31:
#line 104 "skLang.y"
{   DB("ID_EXPR");yyvsp[-2].idListNode->m_Attribute=*yyvsp[0].string;delete yyvsp[0].string;yyval.exprNode=yyvsp[-2].idListNode;}
break;
case 32:
#line 105 "skLang.y"
{   DBN("STRING_EXPR",*yyvsp[0].string);yyval.exprNode=new skLiteralNode(yyvsp[0].string); SAVE(yyval.exprNode)}
break;
case 33:
#line 106 "skLang.y"
{   DB("CHARACTER_EXPR");yyval.exprNode=new skLiteralNode(yyvsp[0].character); SAVE(yyval.exprNode)}
break;
case 34:
#line 107 "skLang.y"
{   DB("INTEGER_EXPR");yyval.exprNode=new skLiteralNode(yyvsp[0].integer); SAVE(yyval.exprNode)}
break;
case 35:
#line 108 "skLang.y"
{   DB("FLOAT_EXPR");yyval.exprNode=new skLiteralNode(yyvsp[0].floating); SAVE(yyval.exprNode)}
break;
case 36:
#line 109 "skLang.y"
{   DB("NOT_EXPR");yyval.exprNode=new skOpNode(s_Not,yyvsp[0].exprNode,0); SAVE(yyval.exprNode)}
break;
case 37:
#line 110 "skLang.y"
{   DB("AND_EXPR");yyval.exprNode=new skOpNode(s_And,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 38:
#line 111 "skLang.y"
{   DB("OR_EXPR");yyval.exprNode=new skOpNode(s_Or,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 39:
#line 112 "skLang.y"
{   DB("SUBTRACT_EXPR");yyval.exprNode=new skOpNode(s_Subtract,yyvsp[-2].exprNode,yyvsp[0].exprNode);SAVE(yyval.exprNode)}
break;
case 40:
#line 113 "skLang.y"
{   DB("LESS_EXPR");yyval.exprNode=new skOpNode(s_Less,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 41:
#line 114 "skLang.y"
{   DB("MORE_EXPR");yyval.exprNode=new skOpNode(s_More,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 42:
#line 115 "skLang.y"
{   DB("EQUALS_EXPR");yyval.exprNode=new skOpNode(s_Equals,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 43:
#line 116 "skLang.y"
{   DB("PLUS_EXPR");yyval.exprNode=new skOpNode(s_Plus,yyvsp[-2].exprNode,yyvsp[0].exprNode);  SAVE(yyval.exprNode)}
break;
case 44:
#line 117 "skLang.y"
{   DB("DIVIDE_EXPR");yyval.exprNode=new skOpNode(s_Divide,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 45:
#line 118 "skLang.y"
{   DB("MULT_EXPR");yyval.exprNode=new skOpNode(s_Mult,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 46:
#line 119 "skLang.y"
{   DB("MOD_EXPR");yyval.exprNode=new skOpNode(s_Mod,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 47:
#line 120 "skLang.y"
{   DB("MINUS_EXPR");yyval.exprNode=new skOpNode(s_Minus,yyvsp[0].exprNode,0); SAVE(yyval.exprNode)}
break;
case 48:
#line 121 "skLang.y"
{   DB("CONCAT_EXPR");yyval.exprNode=new skOpNode(s_Concat,yyvsp[-2].exprNode,yyvsp[0].exprNode); SAVE(yyval.exprNode)}
break;
case 49:
#line 122 "skLang.y"
{   DB("SUB_EXPR");yyval.exprNode=yyvsp[-1].exprNode; }
break;
case 50:
#line 123 "skLang.y"
{	DB("METHOD_EXPR");yyval.exprNode=new skMethodExprNode(yyvsp[-3].idListNode,yyvsp[-1].exprListNode); SAVE(yyval.exprNode); }
break;
#line 654 "skLang_tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("yydebug: after reduction, shifting from state 0 to\
 state %d\n", YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("yydebug: state %d, reading %d (%s)\n",
                        YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("yydebug: after reduction, shifting from state %d \
to state %d\n", *yyssp, yystate);
#endif
    if (yyssp >= yyss + yystacksize - 1)
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
